
    *{
        margin:0;
        padding:0;
        box-sizing:border-box;
    }
    body{
          color: #555;
          font-family:'poppins',sans-serif;
           background-color: #f9f9f9;
 }
    h1 {
  font-size: clamp(2.5rem, 5vw, 3rem);
  
}
    
h2 {
  font-size: clamp(2rem, 3.5vw, 2.5rem);
 
}

h4 {
  font-size: clamp(14px, 2vw, 16px);
   font-weight: 600;
 
}
p,a {
 font-size:clamp(12.5px, 1.2vw, 14px);
}

   /* Bann anwo a */
.articles-banner {
    /* background-image: url('img/carrousel2.jpg') center/cover no-repeat; */
    height:70vh;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    margin-bottom: 30px;
    background-position:center;
   background-repeat: no-repeat;
   background-size:cover;
   position: relative;
   z-index: 1;
}

.articles-banner::before{
   content: "";
   position: absolute;
   top: 0;
   left: 0;
   right: 0;
   bottom: 0;
   width: 100%;
   background: rgba(131, 128, 128, 0.5);
   z-index:-1;
   background-size: cover;
   background-position: center;
   filter: blur(2px) brightness(0.6);
   -webkit-filter: blur(2px) brightness(0.6);
}

.banner-overlay {
    padding:20px;
    text-align: center;
   
}

.banner-overlay h1 {
    color: #fff;
    margin-bottom: 10px;
}

.banner-overlay p {
    color: #ddd;
}

.box_articles{
    margin: 0 auto;
    width: 75%;
    padding:40px 0;
}
.container_articles {
    display: grid;
    gap:10px;
    grid-template-columns: repeat(4, 1fr);
    
}

.article-card {
    background: #fff;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
    transition: transform 0.3s;
    min-height:290px;
   
}

.article-card:hover {
    transform: translateY(-5px);
    -webkit-transform: translateY(-5px);
    -moz-transform: translateY(-5px);
    -ms-transform: translateY(-5px);
    -o-transform: translateY(-5px);
}

.card-image img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-bottom:1px solid #003366;
}

.card-content {
    padding:10px 8px;
}

.card-content h4{
     color:#003366;
     margin-bottom: 10px;
}
.meta{
font-weight:600;  
}

 .content-bottom{
    display:flex;
    justify-content:space-between;
    gap:20px;
    position: relative;
    bottom:0;
    margin-top:10px;
 }
.voir-plus {
    color: #003366;
    text-decoration: none;
    font-weight:600;
}

.voir-plus:hover {
    text-decoration: underline;
}

/* Responsive Grid */
@media screen and (min-width: 1400px) {
    .container_articles {
        grid-template-columns: repeat(5, 1fr);
    }
    
}

@media screen and (min-width: 1024px) and (max-width: 1399px) {
    .container_articles {
        grid-template-columns: repeat(4, 1fr);
       
    }
    .box_articles{
       width: 90%;
    }
}

@media screen and (min-width: 769px) and (max-width: 1023px) {
    .container_articles {
        grid-template-columns: repeat(3, 1fr);
      
    }
    .box_articles{
       width: 90%;
    }
}

@media screen and (min-width: 500px) and (max-width: 768px) {
    .container_articles {
        grid-template-columns: repeat(2, 1fr);
     
    }
    .box_articles{
       width: 90%;
    }
}

@media screen and (max-width: 499px) {
    .container_articles {
        grid-template-columns: repeat(1, 1fr);
       
    }
    .box_articles{
       width: 90%;
       margin:0 auto;
    }
}

